summaryrefslogtreecommitdiffstats
path: root/partimage
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2008-01-26 22:39:00 +0000
committer Eric Hameleers <alien@slackware.com>2008-01-26 22:39:00 +0000
commit1947609fa8dcb4f0383b3b559ad8fd399c44a1b8 (patch)
treee7685896c9a09af6f2067c9fb04a4848cc550e4e /partimage
parent102e58f867c390a1ee8c9a573eb9dcdd96debe22 (diff)
downloadasb-1947609fa8dcb4f0383b3b559ad8fd399c44a1b8.tar.gz
asb-1947609fa8dcb4f0383b3b559ad8fd399c44a1b8.tar.xz
Initial revision
Diffstat (limited to 'partimage')
-rw-r--r--partimage/build/partimage_makefile.patch48
-rwxr-xr-xpartimage/build/rc.partimaged72
-rw-r--r--partimage/build/slack-desc19
-rw-r--r--partimage/build/slack-required2
4 files changed, 141 insertions, 0 deletions
diff --git a/partimage/build/partimage_makefile.patch b/partimage/build/partimage_makefile.patch
new file mode 100644
index 00000000..ae8629f9
--- /dev/null
+++ b/partimage/build/partimage_makefile.patch
@@ -0,0 +1,48 @@
+--- Makefile.in.org 2004-02-08 21:16:32.000000000 +0100
++++ Makefile.in 2006-03-04 01:57:03.000000000 +0100
+@@ -670,45 +670,8 @@
+ @echo "/etc/pam.d/partimaged"
+
+ install-data-local:
+- $(mkinstalldirs) ${sysconfdir}
+- $(mkinstalldirs) ${sysconfdir}/partimaged
+-
+- if test ! -f ${sysconfdir}/partimaged/partimagedusers ; then \
+- echo "# note: '#' introduces comments" > \
+- ${sysconfdir}/partimaged/partimagedusers ;\
+- echo -n "#add only users allowed to " >> \
+- ${sysconfdir}/partimaged/partimagedusers ;\
+- echo "connect partimaged" >> ${sysconfdir}/partimaged/partimagedusers ;\
+- echo "# (only one login per line)" >> \
+- ${sysconfdir}/partimaged/partimagedusers ;\
+- echo "" >> ${sysconfdir}/partimaged/partimagedusers ;\
+- echo "#sample # user 'sample' is allowed to connect partimaged" >> \
+- ${sysconfdir}/partimaged/partimagedusers ;\
+- chmod 600 ${sysconfdir}/partimaged/partimagedusers ;\
+- chown partimag.root ${sysconfdir}/partimaged/partimagedusers ;\
+- fi
+-
+- $(mkinstalldirs) ${infodir}
+- $(INSTALL_DATA) AUTHORS ${infodir}/AUTHORS
+- $(INSTALL_DATA) BUGS ${infodir}/BUGS
+- $(INSTALL_DATA) COPYING ${infodir}/COPYING
+- $(INSTALL_DATA) ChangeLog ${infodir}/ChangeLog
+- $(INSTALL_DATA) INSTALL ${infodir}/INSTALL
+- $(INSTALL_DATA) README ${infodir}/README
+- $(INSTALL_DATA) README.partimaged ${infodir}/README.partimaged
+- $(INSTALL_DATA) TODO ${infodir}/TODO
+- $(INSTALL_DATA) partimage.lsm ${infodir}/partimage.lsm
+
+ uninstall-local:
+- -rm -f ${infodir}/AUTHORS
+- -rm -f ${infodir}/BUGS
+- -rm -f ${infodir}/COPYING
+- -rm -f ${infodir}/ChangeLog
+- -rm -f ${infodir}/INSTALL
+- -rm -f ${infodir}/README
+- -rm -f ${infodir}/README.partimaged
+- -rm -f ${infodir}/TODO
+- -rm -f ${infodir}/partimage.lsm
+ # Tell versions [3.59,3.63) of GNU make to not export all variables.
+ # Otherwise a system limit (for SysV at least) may be exceeded.
+ .NOEXPORT:
diff --git a/partimage/build/rc.partimaged b/partimage/build/rc.partimaged
new file mode 100755
index 00000000..ff915f8a
--- /dev/null
+++ b/partimage/build/rc.partimaged
@@ -0,0 +1,72 @@
+#!/bin/sh
+# $Id$
+# Runs partimage server
+
+# Where to store the images
+imagestore=/var/spool/partimaged
+
+start() {
+# Check if partimaged is already running
+ status 1>/dev/null 2>&1
+ RET=$?
+ if [ $RET -ne 0 ]; then
+ echo -n "Starting partimaged "
+ /usr/sbin/partimaged -D --dest $imagestore
+ RETVAL=$?
+ fi
+ echo
+ return $RETVAL
+}
+
+stop() {
+ echo -n "Stopping partimaged "
+ killall -TERM /usr/sbin/partimaged
+ RETVAL=$?
+ echo
+ return $RETVAL
+}
+
+status() {
+ PIDS=$(pidof partimaged)
+ if [ "$PIDS" == "" ]; then
+ echo "partimaged is not running!"
+ return 1
+ else
+ echo "partimaged is running at pid(s) ${PIDS}."
+ return 0
+ fi
+}
+
+restart() {
+ stop
+ start
+}
+
+reload() {
+ restart
+}
+
+case "$1" in
+start)
+ start
+ ;;
+stop)
+ stop
+ ;;
+reload|restart)
+ restart
+ ;;
+status)
+ status
+ ;;
+test)
+ status 1>/dev/null 2>&1
+ RET=$?
+ echo "RET= '$RET'"
+ ;;
+*)
+ echo "Usage: partimaged {start|stop|restart|status}"
+ exit 1
+esac
+
+exit $RETVAL
diff --git a/partimage/build/slack-desc b/partimage/build/slack-desc
new file mode 100644
index 00000000..91ad6c96
--- /dev/null
+++ b/partimage/build/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+ |-----handy-ruler------------------------------------------------------|
+partimage: Partition Image (make disk image backups)
+partimage: Partition Image is a Linux/UNIX utility which saves partitions in
+partimage: many formats to an image file. The image file can be compressed to
+partimage: save disk space, and split into multiple files to be copied on
+partimage: removable media (ZIP/CDROM for example).
+partimage: Partitions can be saved across the network. Partition Image will
+partimage: only copy data from the used portions of the partition.
+partimage: Partition Image also works for large, very full partitions.
+partimage:
+partimage: Homepage: http://partimage.org/
+partimage:
+
diff --git a/partimage/build/slack-required b/partimage/build/slack-required
new file mode 100644
index 00000000..fec3efd6
--- /dev/null
+++ b/partimage/build/slack-required
@@ -0,0 +1,2 @@
+newt
+slang